{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 11,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralRealOperations.stringValue(Lorg/eclipse/uml2/uml/LiteralReal;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/InstanceValueOperations.stringValue(Lorg/eclipse/uml2/uml/InstanceValue;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.stringValue()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralBooleanOperations.booleanValue(Lorg/eclipse/uml2/uml/LiteralBoolean;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.validateOneReturnResultParameter(Lorg/eclipse/uml2/uml/OpaqueExpression;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.isComputable()Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralBooleanOperations.stringValue(Lorg/eclipse/uml2/uml/LiteralBoolean;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralIntegerOperations.stringValue(Lorg/eclipse/uml2/uml/LiteralInteger;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateableElementOperations.isTemplate(Lorg/eclipse/uml2/uml/TemplateableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralUnlimitedNaturalOperations.isComputable(Lorg/eclipse/uml2/uml/LiteralUnlimitedNatural;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralRealOperations.isComputable(Lorg/eclipse/uml2/uml/LiteralReal;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/StringExpressionOperations.stringValue(Lorg/eclipse/uml2/uml/StringExpression;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralIntegerOperations.isComputable(Lorg/eclipse/uml2/uml/LiteralInteger;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralUnlimitedNaturalOperations.unlimitedValue(Lorg/eclipse/uml2/uml/LiteralUnlimitedNatural;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 11,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralNullOperations.isComputable(Lorg/eclipse/uml2/uml/LiteralNull;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/TimeExpressionOperations.validateNoExprRequiresObservation(Lorg/eclipse/uml2/uml/TimeExpression;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateableElementOperations.parameterableElements(Lorg/eclipse/uml2/uml/TemplateableElement;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralStringOperations.unlimitedValue(Lorg/eclipse/uml2/uml/LiteralString;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.realValue()D": 10,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 11,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralStringOperations.integerValue(Lorg/eclipse/uml2/uml/LiteralString;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/StringExpressionOperations.validateOperands(Lorg/eclipse/uml2/uml/StringExpression;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.unlimitedValue()I": 9,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.validateNamespaceNeedsVisibility(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/DurationOperations.validateNoExprRequiresObservation(Lorg/eclipse/uml2/uml/Duration;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.isPositive(Lorg/eclipse/uml2/uml/OpaqueExpression;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.stringValue(Lorg/eclipse/uml2/uml/OpaqueExpression;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralUnlimitedNaturalOperations.stringValue(Lorg/eclipse/uml2/uml/LiteralUnlimitedNatural;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.isTemplateParameter()Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.validateLanguageBodySize(Lorg/eclipse/uml2/uml/OpaqueExpression;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralStringOperations.isComputable(Lorg/eclipse/uml2/uml/LiteralString;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralBooleanOperations.isComputable(Lorg/eclipse/uml2/uml/LiteralBoolean;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralRealOperations.realValue(Lorg/eclipse/uml2/uml/LiteralReal;)D": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.isNull()Z": 10,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.isIntegral(Lorg/eclipse/uml2/uml/OpaqueExpression;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.validateOnlyReturnResultParameters(Lorg/eclipse/uml2/uml/OpaqueExpression;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralIntegerOperations.integerValue(Lorg/eclipse/uml2/uml/LiteralInteger;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.booleanValue()Z": 10,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.isNonNegative(Lorg/eclipse/uml2/uml/OpaqueExpression;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 11,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/StringExpressionOperations.validateSubexpressions(Lorg/eclipse/uml2/uml/StringExpression;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralStringOperations.stringValue(Lorg/eclipse/uml2/uml/LiteralString;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.value(Lorg/eclipse/uml2/uml/OpaqueExpression;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/LiteralNullOperations.isNull(Lorg/eclipse/uml2/uml/LiteralNull;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/DurationOperations.stringValue(Lorg/eclipse/uml2/uml/Duration;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/OpaqueExpressionOperations.getResult(Lorg/eclipse/uml2/uml/OpaqueExpression;)Lorg/eclipse/uml2/uml/Parameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ValueSpecificationImpl.integerValue()I": 9,
    "Lorg/eclipse/uml2/uml/internal/operations/TimeExpressionOperations.stringValue(Lorg/eclipse/uml2/uml/TimeExpression;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1
  }
}